%define name din
%define version 52
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A sound synthesizer and musical instrument
License: GPLv2
URL: https://dinisnoise.org
Source0: https://archive.org/download/dinisnoise_source_code/%{name}-%{version}.tar.gz

Requires: hicolor-icon-theme glibc libjack.so.0()(64bit) libglvnd libglvnd-opengl tcl SDL
BuildRequires: autoconf automake gcc gcc-c++ boost-devel mesa-libGLU-devel jack-audio-connection-kit-devel rtaudio-devel rtmidi-devel SDL_gfx-devel tcl-devel


%description
A sound synthesizer and musical instrument.

%global debug_package %{nil}

%prep
%setup

%build
autoreconf -fvi
./configure CXXFLAGS="-O3 -D__UNIX_JACK__" CFLAGS=-O3 LIBS=-ljack --prefix=/usr
make

%install
make install DESTDIR=%{buildroot}

%files
/usr/bin/din
/usr/share/applications/din.desktop
/usr/share/din
/usr/share/icons/hicolor/scalable/apps/din.svg
/usr/share/pixmaps/din.png

%doc AUTHORS BUGS CHANGELOG NEWS README TODO
